## org.apache.hadoop.metrics2
Interface MetricsBuilder

    public interface MetricsBuilder

The metrics builder interface

Method Summary
`MetricsRecordBuilder` `addRecord(String name)` Add a metrics record

Method Detail

### addRecord

    MetricsRecordBuilder addRecord(String name)

  Add a metrics record

  Parameters:
    `name` - of the record
  Returns:
    a metrics record builder for the record

Copyright © 2009 The Apache Software Foundation